const transform = require('./transform');
const stripIndent = require('strip-indent');

test('should extract template from components', () => {
	const result = transform('./test/component.js');
	expect(result).toHaveLength(1);
	expect(result[0].data).toEqual('<p>foo</i>');
	expect(result[0].filename).toEqual('./test/component.js');
	expect(result[0].line).toEqual(2);
	expect(result[0].column).toEqual(12);
});

test('should extract templates from routes', () => {
	const result = transform('./test/route.js');
	expect(result).toHaveLength(2);
	expect(result[0].data).toEqual('<p>foo</i>');
	expect(result[0].filename).toEqual('./test/route.js');
	expect(result[0].line).toEqual(3);
	expect(result[0].column).toEqual(30);
	expect(stripIndent(result[1].data).trim()).toEqual('<button>\n\tbar\n</button>');
	expect(result[1].filename).toEqual('./test/route.js');
	expect(result[1].line).toEqual(5);
	expect(result[1].column).toEqual(14);
});
